﻿//------------------------------------------------------------------------------
// <autogenerated>
//     This code was generated by a tool.
//     Runtime Version: 1.1.4322.2407
//
//     Changes to this file may cause incorrect behavior and will be lost if 
//     the code is regenerated.
// </autogenerated>
//------------------------------------------------------------------------------

namespace TIES.WebUI {
    using System;
    using System.Data;
    using System.Xml;
    using System.Runtime.Serialization;
    
    
    [Serializable()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Diagnostics.DebuggerStepThrough()]
    [System.ComponentModel.ToolboxItem(true)]
    public class Versus : DataSet {
        
        private SQLVersusDataTable tableSQLVersus;
        
        public Versus() {
            this.InitClass();
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }
        
        protected Versus(SerializationInfo info, StreamingContext context) {
            string strSchema = ((string)(info.GetValue("XmlSchema", typeof(string))));
            if ((strSchema != null)) {
                DataSet ds = new DataSet();
                ds.ReadXmlSchema(new XmlTextReader(new System.IO.StringReader(strSchema)));
                if ((ds.Tables["SQLVersus"] != null)) {
                    this.Tables.Add(new SQLVersusDataTable(ds.Tables["SQLVersus"]));
                }
                this.DataSetName = ds.DataSetName;
                this.Prefix = ds.Prefix;
                this.Namespace = ds.Namespace;
                this.Locale = ds.Locale;
                this.CaseSensitive = ds.CaseSensitive;
                this.EnforceConstraints = ds.EnforceConstraints;
                this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
                this.InitVars();
            }
            else {
                this.InitClass();
            }
            this.GetSerializationData(info, context);
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }
        
        [System.ComponentModel.Browsable(false)]
        [System.ComponentModel.DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Content)]
        public SQLVersusDataTable SQLVersus {
            get {
                return this.tableSQLVersus;
            }
        }
        
        public override DataSet Clone() {
            Versus cln = ((Versus)(base.Clone()));
            cln.InitVars();
            return cln;
        }
        
        protected override bool ShouldSerializeTables() {
            return false;
        }
        
        protected override bool ShouldSerializeRelations() {
            return false;
        }
        
        protected override void ReadXmlSerializable(XmlReader reader) {
            this.Reset();
            DataSet ds = new DataSet();
            ds.ReadXml(reader);
            if ((ds.Tables["SQLVersus"] != null)) {
                this.Tables.Add(new SQLVersusDataTable(ds.Tables["SQLVersus"]));
            }
            this.DataSetName = ds.DataSetName;
            this.Prefix = ds.Prefix;
            this.Namespace = ds.Namespace;
            this.Locale = ds.Locale;
            this.CaseSensitive = ds.CaseSensitive;
            this.EnforceConstraints = ds.EnforceConstraints;
            this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
            this.InitVars();
        }
        
        protected override System.Xml.Schema.XmlSchema GetSchemaSerializable() {
            System.IO.MemoryStream stream = new System.IO.MemoryStream();
            this.WriteXmlSchema(new XmlTextWriter(stream, null));
            stream.Position = 0;
            return System.Xml.Schema.XmlSchema.Read(new XmlTextReader(stream), null);
        }
        
        internal void InitVars() {
            this.tableSQLVersus = ((SQLVersusDataTable)(this.Tables["SQLVersus"]));
            if ((this.tableSQLVersus != null)) {
                this.tableSQLVersus.InitVars();
            }
        }
        
        private void InitClass() {
            this.DataSetName = "Versus";
            this.Prefix = "";
            this.Namespace = "http://tempuri.org/Versus.xsd";
            this.Locale = new System.Globalization.CultureInfo("en-US");
            this.CaseSensitive = false;
            this.EnforceConstraints = true;
            this.tableSQLVersus = new SQLVersusDataTable();
            this.Tables.Add(this.tableSQLVersus);
        }
        
        private bool ShouldSerializeSQLVersus() {
            return false;
        }
        
        private void SchemaChanged(object sender, System.ComponentModel.CollectionChangeEventArgs e) {
            if ((e.Action == System.ComponentModel.CollectionChangeAction.Remove)) {
                this.InitVars();
            }
        }
        
        public delegate void SQLVersusRowChangeEventHandler(object sender, SQLVersusRowChangeEvent e);
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class SQLVersusDataTable : DataTable, System.Collections.IEnumerable {
            
            private DataColumn columnsCode1;
            
            private DataColumn columnsCode2;
            
            private DataColumn columnsCode3;
            
            private DataColumn columnsCode1DT;
            
            private DataColumn columnsCode2DT;
            
            private DataColumn columnsCode3DT;
            
            private DataColumn columnTotalTime;
            
            private DataColumn columnconsignment_no;
            
            private DataColumn columnbooking_no;
            
            private DataColumn columnref_no;
            
            private DataColumn columnpaerid;
            
            private DataColumn columnorg_dc;
            
            private DataColumn columndes_dc;
            
            private DataColumn columndel_route;
            
            private DataColumn columnmanifest_date;
            
            private DataColumn columnpickup_date;
            
            private DataColumn columnlast_updated_date;
            
            private DataColumn columnlast_userid;
            
            internal SQLVersusDataTable() : 
                    base("SQLVersus") {
                this.InitClass();
            }
            
            internal SQLVersusDataTable(DataTable table) : 
                    base(table.TableName) {
                if ((table.CaseSensitive != table.DataSet.CaseSensitive)) {
                    this.CaseSensitive = table.CaseSensitive;
                }
                if ((table.Locale.ToString() != table.DataSet.Locale.ToString())) {
                    this.Locale = table.Locale;
                }
                if ((table.Namespace != table.DataSet.Namespace)) {
                    this.Namespace = table.Namespace;
                }
                this.Prefix = table.Prefix;
                this.MinimumCapacity = table.MinimumCapacity;
                this.DisplayExpression = table.DisplayExpression;
            }
            
            [System.ComponentModel.Browsable(false)]
            public int Count {
                get {
                    return this.Rows.Count;
                }
            }
            
            internal DataColumn sCode1Column {
                get {
                    return this.columnsCode1;
                }
            }
            
            internal DataColumn sCode2Column {
                get {
                    return this.columnsCode2;
                }
            }
            
            internal DataColumn sCode3Column {
                get {
                    return this.columnsCode3;
                }
            }
            
            internal DataColumn sCode1DTColumn {
                get {
                    return this.columnsCode1DT;
                }
            }
            
            internal DataColumn sCode2DTColumn {
                get {
                    return this.columnsCode2DT;
                }
            }
            
            internal DataColumn sCode3DTColumn {
                get {
                    return this.columnsCode3DT;
                }
            }
            
            internal DataColumn TotalTimeColumn {
                get {
                    return this.columnTotalTime;
                }
            }
            
            internal DataColumn consignment_noColumn {
                get {
                    return this.columnconsignment_no;
                }
            }
            
            internal DataColumn booking_noColumn {
                get {
                    return this.columnbooking_no;
                }
            }
            
            internal DataColumn ref_noColumn {
                get {
                    return this.columnref_no;
                }
            }
            
            internal DataColumn paeridColumn {
                get {
                    return this.columnpaerid;
                }
            }
            
            internal DataColumn org_dcColumn {
                get {
                    return this.columnorg_dc;
                }
            }
            
            internal DataColumn des_dcColumn {
                get {
                    return this.columndes_dc;
                }
            }
            
            internal DataColumn del_routeColumn {
                get {
                    return this.columndel_route;
                }
            }
            
            internal DataColumn manifest_dateColumn {
                get {
                    return this.columnmanifest_date;
                }
            }
            
            internal DataColumn pickup_dateColumn {
                get {
                    return this.columnpickup_date;
                }
            }
            
            internal DataColumn last_updated_dateColumn {
                get {
                    return this.columnlast_updated_date;
                }
            }
            
            internal DataColumn last_useridColumn {
                get {
                    return this.columnlast_userid;
                }
            }
            
            public SQLVersusRow this[int index] {
                get {
                    return ((SQLVersusRow)(this.Rows[index]));
                }
            }
            
            public event SQLVersusRowChangeEventHandler SQLVersusRowChanged;
            
            public event SQLVersusRowChangeEventHandler SQLVersusRowChanging;
            
            public event SQLVersusRowChangeEventHandler SQLVersusRowDeleted;
            
            public event SQLVersusRowChangeEventHandler SQLVersusRowDeleting;
            
            public void AddSQLVersusRow(SQLVersusRow row) {
                this.Rows.Add(row);
            }
            
            public SQLVersusRow AddSQLVersusRow(
                        string sCode1, 
                        string sCode2, 
                        string sCode3, 
                        System.DateTime sCode1DT, 
                        System.DateTime sCode2DT, 
                        System.DateTime sCode3DT, 
                        int TotalTime, 
                        string consignment_no, 
                        string booking_no, 
                        string ref_no, 
                        string paerid, 
                        string org_dc, 
                        string des_dc, 
                        string del_route, 
                        System.DateTime manifest_date, 
                        System.DateTime pickup_date, 
                        System.DateTime last_updated_date, 
                        string last_userid) {
                SQLVersusRow rowSQLVersusRow = ((SQLVersusRow)(this.NewRow()));
                rowSQLVersusRow.ItemArray = new object[] {
                        sCode1,
                        sCode2,
                        sCode3,
                        sCode1DT,
                        sCode2DT,
                        sCode3DT,
                        TotalTime,
                        consignment_no,
                        booking_no,
                        ref_no,
                        paerid,
                        org_dc,
                        des_dc,
                        del_route,
                        manifest_date,
                        pickup_date,
                        last_updated_date,
                        last_userid};
                this.Rows.Add(rowSQLVersusRow);
                return rowSQLVersusRow;
            }
            
            public System.Collections.IEnumerator GetEnumerator() {
                return this.Rows.GetEnumerator();
            }
            
            public override DataTable Clone() {
                SQLVersusDataTable cln = ((SQLVersusDataTable)(base.Clone()));
                cln.InitVars();
                return cln;
            }
            
            protected override DataTable CreateInstance() {
                return new SQLVersusDataTable();
            }
            
            internal void InitVars() {
                this.columnsCode1 = this.Columns["sCode1"];
                this.columnsCode2 = this.Columns["sCode2"];
                this.columnsCode3 = this.Columns["sCode3"];
                this.columnsCode1DT = this.Columns["sCode1DT"];
                this.columnsCode2DT = this.Columns["sCode2DT"];
                this.columnsCode3DT = this.Columns["sCode3DT"];
                this.columnTotalTime = this.Columns["TotalTime"];
                this.columnconsignment_no = this.Columns["consignment_no"];
                this.columnbooking_no = this.Columns["booking_no"];
                this.columnref_no = this.Columns["ref_no"];
                this.columnpaerid = this.Columns["paerid"];
                this.columnorg_dc = this.Columns["org_dc"];
                this.columndes_dc = this.Columns["des_dc"];
                this.columndel_route = this.Columns["del_route"];
                this.columnmanifest_date = this.Columns["manifest_date"];
                this.columnpickup_date = this.Columns["pickup_date"];
                this.columnlast_updated_date = this.Columns["last_updated_date"];
                this.columnlast_userid = this.Columns["last_userid"];
            }
            
            private void InitClass() {
                this.columnsCode1 = new DataColumn("sCode1", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsCode1);
                this.columnsCode2 = new DataColumn("sCode2", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsCode2);
                this.columnsCode3 = new DataColumn("sCode3", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsCode3);
                this.columnsCode1DT = new DataColumn("sCode1DT", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsCode1DT);
                this.columnsCode2DT = new DataColumn("sCode2DT", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsCode2DT);
                this.columnsCode3DT = new DataColumn("sCode3DT", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsCode3DT);
                this.columnTotalTime = new DataColumn("TotalTime", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnTotalTime);
                this.columnconsignment_no = new DataColumn("consignment_no", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnconsignment_no);
                this.columnbooking_no = new DataColumn("booking_no", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnbooking_no);
                this.columnref_no = new DataColumn("ref_no", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnref_no);
                this.columnpaerid = new DataColumn("paerid", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnpaerid);
                this.columnorg_dc = new DataColumn("org_dc", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnorg_dc);
                this.columndes_dc = new DataColumn("des_dc", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columndes_dc);
                this.columndel_route = new DataColumn("del_route", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columndel_route);
                this.columnmanifest_date = new DataColumn("manifest_date", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnmanifest_date);
                this.columnpickup_date = new DataColumn("pickup_date", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnpickup_date);
                this.columnlast_updated_date = new DataColumn("last_updated_date", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnlast_updated_date);
                this.columnlast_userid = new DataColumn("last_userid", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnlast_userid);
                this.columnconsignment_no.AllowDBNull = false;
            }
            
            public SQLVersusRow NewSQLVersusRow() {
                return ((SQLVersusRow)(this.NewRow()));
            }
            
            protected override DataRow NewRowFromBuilder(DataRowBuilder builder) {
                return new SQLVersusRow(builder);
            }
            
            protected override System.Type GetRowType() {
                return typeof(SQLVersusRow);
            }
            
            protected override void OnRowChanged(DataRowChangeEventArgs e) {
                base.OnRowChanged(e);
                if ((this.SQLVersusRowChanged != null)) {
                    this.SQLVersusRowChanged(this, new SQLVersusRowChangeEvent(((SQLVersusRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowChanging(DataRowChangeEventArgs e) {
                base.OnRowChanging(e);
                if ((this.SQLVersusRowChanging != null)) {
                    this.SQLVersusRowChanging(this, new SQLVersusRowChangeEvent(((SQLVersusRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowDeleted(DataRowChangeEventArgs e) {
                base.OnRowDeleted(e);
                if ((this.SQLVersusRowDeleted != null)) {
                    this.SQLVersusRowDeleted(this, new SQLVersusRowChangeEvent(((SQLVersusRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowDeleting(DataRowChangeEventArgs e) {
                base.OnRowDeleting(e);
                if ((this.SQLVersusRowDeleting != null)) {
                    this.SQLVersusRowDeleting(this, new SQLVersusRowChangeEvent(((SQLVersusRow)(e.Row)), e.Action));
                }
            }
            
            public void RemoveSQLVersusRow(SQLVersusRow row) {
                this.Rows.Remove(row);
            }
        }
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class SQLVersusRow : DataRow {
            
            private SQLVersusDataTable tableSQLVersus;
            
            internal SQLVersusRow(DataRowBuilder rb) : 
                    base(rb) {
                this.tableSQLVersus = ((SQLVersusDataTable)(this.Table));
            }
            
            public string sCode1 {
                get {
                    try {
                        return ((string)(this[this.tableSQLVersus.sCode1Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQLVersus.sCode1Column] = value;
                }
            }
            
            public string sCode2 {
                get {
                    try {
                        return ((string)(this[this.tableSQLVersus.sCode2Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQLVersus.sCode2Column] = value;
                }
            }
            
            public string sCode3 {
                get {
                    try {
                        return ((string)(this[this.tableSQLVersus.sCode3Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQLVersus.sCode3Column] = value;
                }
            }
            
            public System.DateTime sCode1DT {
                get {
                    try {
                        return ((System.DateTime)(this[this.tableSQLVersus.sCode1DTColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQLVersus.sCode1DTColumn] = value;
                }
            }
            
            public System.DateTime sCode2DT {
                get {
                    try {
                        return ((System.DateTime)(this[this.tableSQLVersus.sCode2DTColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQLVersus.sCode2DTColumn] = value;
                }
            }
            
            public System.DateTime sCode3DT {
                get {
                    try {
                        return ((System.DateTime)(this[this.tableSQLVersus.sCode3DTColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQLVersus.sCode3DTColumn] = value;
                }
            }
            
            public int TotalTime {
                get {
                    try {
                        return ((int)(this[this.tableSQLVersus.TotalTimeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQLVersus.TotalTimeColumn] = value;
                }
            }
            
            public string consignment_no {
                get {
                    return ((string)(this[this.tableSQLVersus.consignment_noColumn]));
                }
                set {
                    this[this.tableSQLVersus.consignment_noColumn] = value;
                }
            }
            
            public string booking_no {
                get {
                    try {
                        return ((string)(this[this.tableSQLVersus.booking_noColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQLVersus.booking_noColumn] = value;
                }
            }
            
            public string ref_no {
                get {
                    try {
                        return ((string)(this[this.tableSQLVersus.ref_noColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQLVersus.ref_noColumn] = value;
                }
            }
            
            public string paerid {
                get {
                    try {
                        return ((string)(this[this.tableSQLVersus.paeridColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQLVersus.paeridColumn] = value;
                }
            }
            
            public string org_dc {
                get {
                    try {
                        return ((string)(this[this.tableSQLVersus.org_dcColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQLVersus.org_dcColumn] = value;
                }
            }
            
            public string des_dc {
                get {
                    try {
                        return ((string)(this[this.tableSQLVersus.des_dcColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQLVersus.des_dcColumn] = value;
                }
            }
            
            public string del_route {
                get {
                    try {
                        return ((string)(this[this.tableSQLVersus.del_routeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQLVersus.del_routeColumn] = value;
                }
            }
            
            public System.DateTime manifest_date {
                get {
                    try {
                        return ((System.DateTime)(this[this.tableSQLVersus.manifest_dateColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQLVersus.manifest_dateColumn] = value;
                }
            }
            
            public System.DateTime pickup_date {
                get {
                    try {
                        return ((System.DateTime)(this[this.tableSQLVersus.pickup_dateColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQLVersus.pickup_dateColumn] = value;
                }
            }
            
            public System.DateTime last_updated_date {
                get {
                    try {
                        return ((System.DateTime)(this[this.tableSQLVersus.last_updated_dateColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQLVersus.last_updated_dateColumn] = value;
                }
            }
            
            public string last_userid {
                get {
                    try {
                        return ((string)(this[this.tableSQLVersus.last_useridColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQLVersus.last_useridColumn] = value;
                }
            }
            
            public bool IssCode1Null() {
                return this.IsNull(this.tableSQLVersus.sCode1Column);
            }
            
            public void SetsCode1Null() {
                this[this.tableSQLVersus.sCode1Column] = System.Convert.DBNull;
            }
            
            public bool IssCode2Null() {
                return this.IsNull(this.tableSQLVersus.sCode2Column);
            }
            
            public void SetsCode2Null() {
                this[this.tableSQLVersus.sCode2Column] = System.Convert.DBNull;
            }
            
            public bool IssCode3Null() {
                return this.IsNull(this.tableSQLVersus.sCode3Column);
            }
            
            public void SetsCode3Null() {
                this[this.tableSQLVersus.sCode3Column] = System.Convert.DBNull;
            }
            
            public bool IssCode1DTNull() {
                return this.IsNull(this.tableSQLVersus.sCode1DTColumn);
            }
            
            public void SetsCode1DTNull() {
                this[this.tableSQLVersus.sCode1DTColumn] = System.Convert.DBNull;
            }
            
            public bool IssCode2DTNull() {
                return this.IsNull(this.tableSQLVersus.sCode2DTColumn);
            }
            
            public void SetsCode2DTNull() {
                this[this.tableSQLVersus.sCode2DTColumn] = System.Convert.DBNull;
            }
            
            public bool IssCode3DTNull() {
                return this.IsNull(this.tableSQLVersus.sCode3DTColumn);
            }
            
            public void SetsCode3DTNull() {
                this[this.tableSQLVersus.sCode3DTColumn] = System.Convert.DBNull;
            }
            
            public bool IsTotalTimeNull() {
                return this.IsNull(this.tableSQLVersus.TotalTimeColumn);
            }
            
            public void SetTotalTimeNull() {
                this[this.tableSQLVersus.TotalTimeColumn] = System.Convert.DBNull;
            }
            
            public bool Isbooking_noNull() {
                return this.IsNull(this.tableSQLVersus.booking_noColumn);
            }
            
            public void Setbooking_noNull() {
                this[this.tableSQLVersus.booking_noColumn] = System.Convert.DBNull;
            }
            
            public bool Isref_noNull() {
                return this.IsNull(this.tableSQLVersus.ref_noColumn);
            }
            
            public void Setref_noNull() {
                this[this.tableSQLVersus.ref_noColumn] = System.Convert.DBNull;
            }
            
            public bool IspaeridNull() {
                return this.IsNull(this.tableSQLVersus.paeridColumn);
            }
            
            public void SetpaeridNull() {
                this[this.tableSQLVersus.paeridColumn] = System.Convert.DBNull;
            }
            
            public bool Isorg_dcNull() {
                return this.IsNull(this.tableSQLVersus.org_dcColumn);
            }
            
            public void Setorg_dcNull() {
                this[this.tableSQLVersus.org_dcColumn] = System.Convert.DBNull;
            }
            
            public bool Isdes_dcNull() {
                return this.IsNull(this.tableSQLVersus.des_dcColumn);
            }
            
            public void Setdes_dcNull() {
                this[this.tableSQLVersus.des_dcColumn] = System.Convert.DBNull;
            }
            
            public bool Isdel_routeNull() {
                return this.IsNull(this.tableSQLVersus.del_routeColumn);
            }
            
            public void Setdel_routeNull() {
                this[this.tableSQLVersus.del_routeColumn] = System.Convert.DBNull;
            }
            
            public bool Ismanifest_dateNull() {
                return this.IsNull(this.tableSQLVersus.manifest_dateColumn);
            }
            
            public void Setmanifest_dateNull() {
                this[this.tableSQLVersus.manifest_dateColumn] = System.Convert.DBNull;
            }
            
            public bool Ispickup_dateNull() {
                return this.IsNull(this.tableSQLVersus.pickup_dateColumn);
            }
            
            public void Setpickup_dateNull() {
                this[this.tableSQLVersus.pickup_dateColumn] = System.Convert.DBNull;
            }
            
            public bool Islast_updated_dateNull() {
                return this.IsNull(this.tableSQLVersus.last_updated_dateColumn);
            }
            
            public void Setlast_updated_dateNull() {
                this[this.tableSQLVersus.last_updated_dateColumn] = System.Convert.DBNull;
            }
            
            public bool Islast_useridNull() {
                return this.IsNull(this.tableSQLVersus.last_useridColumn);
            }
            
            public void Setlast_useridNull() {
                this[this.tableSQLVersus.last_useridColumn] = System.Convert.DBNull;
            }
        }
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class SQLVersusRowChangeEvent : EventArgs {
            
            private SQLVersusRow eventRow;
            
            private DataRowAction eventAction;
            
            public SQLVersusRowChangeEvent(SQLVersusRow row, DataRowAction action) {
                this.eventRow = row;
                this.eventAction = action;
            }
            
            public SQLVersusRow Row {
                get {
                    return this.eventRow;
                }
            }
            
            public DataRowAction Action {
                get {
                    return this.eventAction;
                }
            }
        }
    }
}
